المطورون: يجب أن يستهدف تطبيقك الجديد على Play Store مستوى API 26

عندما طرحت Google نظام التشغيل Android لأول مرة في السوق ، اتبعت الشركة نهجًا مناسبًا للمطورين. بعد كل شيء ، كانت الشركة بحاجة إلى تشجيع المطورين لتقديم تطبيقاتهم وخدماتهم إلى المنصة الحديثة. ومع ذلك ، تمت إعادة العديد من هذه القرارات المبكرة لاحقًا لأنها أسفرت عن تجربة سيئة للمستخدم - تبين السماح للتطبيقات بالقيام بكل ما تريد مما أدى إلى قيام التطبيقات بعمل ما يريدونه. مع الإصدارات الأحدث من Android ، يتعذر على التطبيقات إرسال إشعارات غير مرغوب فيها ، واستخدام خدمات الخلفية دون إخطار المستخدم بشكل صريح ، والوصول إلى أذونات حساسة دون إذن منح حوار ، وأكثر من ذلك بكثير. ومع ذلك ، سهلت Google من تجاوز التطبيقات لهذه القيود سهلة الاستخدام من خلال السماح للتطبيقات بمواصلة استهداف إصدارات SDK القديمة. في ديسمبر الماضي ، أعلنت Google أن جميع التطبيقات الجديدة المقدمة إلى متجر Google Play يجب أن تستهدف مستوى API 26 على الأقل (Android 8.0 Oreo). إنها في نهاية شهر أغسطس ، مما يعني أنه إذا كنت تعمل على تطبيق جديد وتخطط لإرساله إلى متجر Play ، فمن الأفضل أن تستهدف Android 8.0 Oreo!

أغسطس 2018 - يجب أن تستهدف جميع التطبيقات الجديدة مستوى API 26

لقد أتاحت لك Google الكثير من الوقت لإجراء تعديلات على تطبيقك لتلبية المتطلبات الجديدة. إن تطوير التطبيق الخاص بك إلى مستوى أحدث من واجهة برمجة التطبيقات (API) سيكون لصالحك على الطريق وكذلك للمستخدمين. سيستمتع مستخدموك بحقيقة أن تطبيقك يتصرف بشكل متسق مع تطبيقات أخرى على أجهزتهم ، في حين ستوفر على نفسك بعض الصداع لأن Google ستزيد من متطلبات targetSdkVersion في العام القادم. إذا كنت della-della وتنتظر تحديث التطبيق الخاص بك لتلبية هذا المطلب ، ثم لاحظ أنه بعد سنة واحدة بعد إصدار Android P ، سيكون متطلب targetSdkVersion الجديد هو مستوى API 28 أو أعلى.

لا تحاول Google معاقبتك بإجبارك على بذل جهد في تحديث تطبيقك. تريد منك الشركة فقط المساعدة في الحفاظ على أمان أجهزة المستخدمين من خلال التأكد من استخدامك لجميع أحدث واجهات برمجة التطبيقات وطلبات الأذونات. إذا كنت قلقًا من أن المستخدمين الذين لديهم أجهزة قديمة لن يتمكنوا من الاستمتاع بالتطبيق الخاص بك ، فسوف يسعدك أن تعرف أنه لا يوجد حد أدنى لإصدار SDK الذي يمكنك تعيينه. بالنسبة للمطورين الذين يحتفظون بالفعل بتطبيق واحد أو أكثر على متجر Play ، يجب أن يستهدف تطبيقك مستوى API 26 بحلول نوفمبر 2018 إذا كنت تريد السماح لك بإرسال تحديثات إلى تطبيقك على متجر Play.